RFKILL(8)

BEZEICHNUNG
rfkill - Werkzeug zum Aktivieren und Deaktivieren von Drahtlosgeräten

ÜBERSICHT
rfkill [Optionen] [Befehl] [Kennung|Typ …]

BESCHREIBUNG
rfkill listet Drahtlosgeräte auf und aktiviert oder deaktiviert sie.

Das Listenausgabeformat des Befehls ist veraltet und wird nur zwecks Abwärtskompatibilität behalten. Das neue Ausgabeformat ist der Standard, wenn kein Befehl angegeben oder die Option --output verwendet wird.

Die Standardausgabe kann sich ändern. Daher sollten Sie vermeiden, die Standardausgabe in Ihren Skripten zu verwenden, wo immer es möglich ist. Definieren Sie in Umgebungen, wo eine stabile Ausgabe erforderlich ist, stets die erwarteten Spalten, indem Sie die Option --output zusammen mit einer Spaltenliste angeben.

OPTIONEN

-J, --json
    verwendet das JSON-Ausgabeformat.

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-o, --output
    gibt an, welche Spalten ausgegeben werden sollen Mit --help erhalten Sie eine Liste aller verfügbaren Spalten.

--output-all
    gibt alle verfügbaren Spalten aus.

-r, --raw
    verwendet das Rohformat für die Ausgabe.

--help
    zeigt einen Hilfetext an und beendet das Programm.

--version
    zeigt Versionsinformationen an und beendet das Programm.

BEFEHLE

help
    zeigt einen Hilfetext an und beendet das Programm.

event
    wartet auf rfkill-Ereignisse und schreibt sie in die Standardausgabe.

list [Kennung|Typ …]
    listet den aktuellen Status aller verfügbaren Geräte auf. Das Befehlsausgabeformat ist veraltet, siehe den Abschnitt BESCHREIBUNG. Es ist empfehlenswert, mit list zu prüfen, ob Kennung oder Typ anwendbar sind, bevor Sie block oder unblock setzen. Die spezielle Typzeichenkette all berücksichtigt alles. Die Verwendung mehrerer Kennung- oder Typ-Argumente wird ebenfalls unterstützt.

block Kennung|Typ […]
    deaktiviert das entsprechende Gerät.

unblock Kennung|Typ […]
    aktiviert das entsprechende Gerät. Wenn das Gerät hart blockiert ist, zum Beispiel durch einen Hardwareschalter, ist es weiterhin nicht verfügbar, obwohl es nun auf Softwareebene nicht mehr blockiert ist.

BEISPIELE
rfkill --output KENNUNG,TYP
rfkill block all
rfkill unblock wlan
rfkill block bluetooth uwb wimax wwan gps fm nfc

AUTOREN
rfkill wurde ursprünglich von Johannes Berg (johannes@sipsolutions.net) und Marcel Holtmann (marcel@holtmann.org) geschrieben. Der Code wurde später von Sami Kerola (kerolasa@iki.fi) und Karel Zak (kzak@redhat.com) fü das Projekt util-linux angepasst.

Diese Handbuchseite wurde von Darren Salt (linux@youmustbejoking.demon.co.uk) für das Debian-Projekt geschrieben (darf aber auch von anderen verwendet werden).

SIEHE AUCH
powertop(8), systemd-rfkill(8), Linux-Kernel-Dokumentation (https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/tree/Documentation/rfkill.txt)

VERFÜGBARKEIT
Der Befehl »rfkill« ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/) heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.